summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/ntp/ntpdate
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-11-08 17:08:28 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-11-08 17:08:28 (GMT)
commitc38715641e214272ad7dc6d495edd29940366e7f (patch)
tree9dcd507543e67458d98fa7462f62026041524047 /abs/core-testing/ntp/ntpdate
parent3d91b06198a56b6579cb0bd77de65f5908571b87 (diff)
downloadlinhes_pkgbuild-c38715641e214272ad7dc6d495edd29940366e7f.zip
linhes_pkgbuild-c38715641e214272ad7dc6d495edd29940366e7f.tar.gz
linhes_pkgbuild-c38715641e214272ad7dc6d495edd29940366e7f.tar.bz2
packages that will be needed in the future.
This is the initial merge of packages from MythVantage that are not MythVantage specific.
Diffstat (limited to 'abs/core-testing/ntp/ntpdate')
-rwxr-xr-xabs/core-testing/ntp/ntpdate30
1 files changed, 30 insertions, 0 deletions
diff --git a/abs/core-testing/ntp/ntpdate b/abs/core-testing/ntp/ntpdate
new file mode 100755
index 0000000..643ae19
--- /dev/null
+++ b/abs/core-testing/ntp/ntpdate
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/ntp-client.conf
+
+case "$1" in
+ start)
+ stat_busy "Starting NTP Client"
+ /usr/bin/ntpdate $NTP_CLIENT_OPTION -t $NTPCLIENT_TIMEOUT $NTP_CLIENT_SERVER > /dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon ntpdate
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping NTP Client"
+ rm_daemon ntpdate
+ stat_done
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac